Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 648448 - dev-lisp/gentoo-init-0.1 is EAPI=3
Summary: dev-lisp/gentoo-init-0.1 is EAPI=3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Common Lisp Bugs
URL:
Whiteboard: pending removal 2018-04-09
Keywords: PMASKED
Depends on: 577744 649504
Blocks: EAPI3Removal 646742
  Show dependency tree
 
Reported: 2018-02-21 22:37 UTC by Andreas K. Hüttel
Modified: 2018-04-08 11:40 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2018-02-21 22:37:45 UTC
dev-lisp/gentoo-init-0.1 is EAPI=3

Can gentoo-init-1.0 be stabilized on the remaining arches?
Comment 1 Chema Alonso Josa (RETIRED) gentoo-dev 2018-02-27 19:25:50 UTC
First we need to get dev-lisp/asdf and dev-lisp/uiop stable
Comment 2 Larry the Git Cow gentoo-dev 2018-03-08 09:29:43 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=686043e5f194e108cb18be6317d49489f2476dee

commit 686043e5f194e108cb18be6317d49489f2476dee
Author:     Chema Alonso Josa <nimiux@gentoo.org>
AuthorDate: 2018-03-08 09:26:01 +0000
Commit:     Chema Alonso Josa <nimiux@gentoo.org>
CommitDate: 2018-03-08 09:26:01 +0000

    dev-lisp/clisp: Drops dev-lisp/gentoo-init dependency
    
    Bug: https://bugs.gentoo.org/648448
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-lisp/clisp/clisp-2.48-r1.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)}
Comment 3 Chema Alonso Josa (RETIRED) gentoo-dev 2018-03-09 12:56:22 UTC
Package masked for removal in 30 days:

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b7418ee020771125b0a191ce7408e88eb660c32
Comment 4 Larry the Git Cow gentoo-dev 2018-04-08 11:40:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ccdaba682259910e88b9c6d0b74572ceaccc569

commit 4ccdaba682259910e88b9c6d0b74572ceaccc569
Author:     Chema Alonso Josa <nimiux@gentoo.org>
AuthorDate: 2018-04-08 11:38:56 +0000
Commit:     Chema Alonso Josa <nimiux@gentoo.org>
CommitDate: 2018-04-08 11:38:56 +0000

    dev-lisp/gentoo-init: Drop last rited package
    
    Closes: https://bugs.gentoo.org/648448

 dev-lisp/gentoo-init/files/gentoo-init-1.lisp   | 11 -----------
 dev-lisp/gentoo-init/files/gentoo-init.lisp     |  7 -------
 dev-lisp/gentoo-init/files/source-registry.conf |  5 -----
 dev-lisp/gentoo-init/gentoo-init-0.1.ebuild     | 23 -----------------------
 dev-lisp/gentoo-init/gentoo-init-1.0.ebuild     | 22 ----------------------
 dev-lisp/gentoo-init/metadata.xml               |  8 --------
 profiles/package.mask                           |  5 -----
 7 files changed, 81 deletions(-)